pkg_apt = {
    'postgresql-11': {},
    'postgresql-client-11': {},
}

postgres_roles = {
    'root': {
        'password': repo.vault.password_for('{} postgresql root'.format(node.name)),
        'superuser': True,
    },
}

postgres_dbs = {}

for user, config in node.metadata['postgresql']['users'].items():
    postgres_roles[user] = {
        'password': config['password'],
    }

for database, config in node.metadata['postgresql']['databases'].items():
    postgres_dbs[database] = {
        'owner': config['owner'],
    }
